using System;
using System.Collections.Generic;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using System.Xml.Linq;

namespace Kormann
{
    public partial class Autoteile : Form
    {
        // formularweite Variablen


        public Autoteile()
        {
            InitializeComponent();
            cbxModell.Enabled = false;
            FillComboBoxes();

        }

        private void FillComboBoxes()
        {
            //
            // Beginn Schritt 1 im Sequenzdiagramm HerstellerAnzeige
            //
            ArrayList lst = Herstellerinfos.GetHerstellerinfos();
            cbxHersteller.DataSource = lst;
            //
            // Ende Schritt 1 im Sequenzdiagramm HerstellerAnzeige
            //

            // Artikelgruppen zur Auswahl laden


        }

        private void Autoteile_Load(object sender, EventArgs e)
        {

        }


        private void cbxHersteller_SelectedIndexChanged_1(object sender, EventArgs e)
        {
            if (cbxHersteller.SelectedIndex > 0)
            {
                cbxModell.Enabled = true;


                HerstellerInfo h = (HerstellerInfo)cbxHersteller.SelectedItem;


            }
            else
            {
                cbxModell.Enabled = false;
            }


        }

        private void cmdHerstellerLoeschen_Click_1(object sender, EventArgs e)
        {
            cbxHersteller.SelectedIndex = -1;
            cbxModell.Enabled = false;
        }

        private void cmdModellLoeschen_Click_1(object sender, EventArgs e)
        {
            cbxModell.SelectedIndex = -1;
        }

        private void cbxArtikelgruppe_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void cbxArtikelgruppe_TextChanged(object sender, EventArgs e)
        {

        }

        private void cbxArtikelgruppe_DropDown(object sender, EventArgs e)
        {

        }

        private void btnArtikelansicht_Click(object sender, EventArgs e)
        {
        }
    }
}
